# GridMaterialProperty

#### new Cesium.GridMaterialProperty(options)
DataSources/GridMaterialProperty.js 28

A `MaterialProperty` that maps to grid `Material` uniforms.

Name | Type | Description
--- | --- | ---
`options` | Object | optional Object with the following properties:
Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | Color | `Color.WHITE` | optional A Property specifying the grid `Color`.
`cellAlpha` | Property | Number | `0.1` | optional A numeric Property specifying cell alpha values.
`lineCount` | Property | Cartesian2 | `new Cartesian2(8, 8)` | optional A `Cartesian2` Property specifying the number of grid lines along each axis.
`lineThickness` | Property | Cartesian2 | `new Cartesian2(1.0, 1.0)` | optional A `Cartesian2` Property specifying the thickness of grid lines along each axis.
`lineOffset` | Property | Cartesian2 | `new Cartesian2(0.0, 0.0)` | optional A `Cartesian2` Property specifying starting offset of grid lines along each axis.

### Members

#### cellAlpha : Property|undefined
DataSources/GridMaterialProperty.js 100

Gets or sets the numeric Property specifying cell alpha values.

Default Value: `0.1`

#### color : Property|undefined
DataSources/GridMaterialProperty.js 92

Gets or sets the Property specifying the grid `Color`.

Default Value: `Color.WHITE`

#### readonly definitionChanged : Event
DataSources/GridMaterialProperty.js 80

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonly isConstant : Boolean
DataSources/GridMaterialProperty.js 59

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

#### lineCount : Property|undefined
DataSources/GridMaterialProperty.js 108

Gets or sets the `Cartesian2` Property specifying the number of grid lines along each axis.

Default Value: `new Cartesian2(8.0, 8.0)`

#### lineOffset : Property|undefined
DataSources/GridMaterialProperty.js 124

Gets or sets the `Cartesian2` Property specifying the starting offset of grid lines along each axis.

Default Value: `new Cartesian2(0.0, 0.0)`

#### lineThickness : Property|undefined
DataSources/GridMaterialProperty.js 116

Gets or sets the `Cartesian2` Property specifying the thickness of grid lines along each axis.

Default Value: `new Cartesian2(1.0, 1.0)`

### Methods

#### equals(other) → Boolean
DataSources/GridMaterialProperty.js 187

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/GridMaterialProperty.js 133

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/GridMaterialProperty.js 144

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.